// Dark mode colors
const dark = '#2e2f3d';
const tintColorDark = '#fff';
const iconColorDark = '#9BA1A6';

// Light mode colors
const light = '#ECEDEE';
const tintColorLight = '#0a7ea4';
const iconColorLight = '#687076';

export const Colors = {
  light: {
    text: dark,
    background: light,
    tint: tintColorLight,
    icon: iconColorLight,
    tabIconDefault: iconColorLight,
    tabIconSelected: tintColorLight,

    // New colors
    card: '#ffffff',
    border: '#d0d7de',
    notification: '#f85149',
    placeholder: '#8b949e',
    inactive: '#afb8c1',
    subtle: '#f6f8fa',
    error: '#e5484d',
    success: '#46954a',
    warning: '#daaa3f',
  },
  dark: {
    text: light,
    background: dark,
    tint: tintColorDark,
    icon: iconColorDark,
    tabIconDefault: iconColorDark,
    tabIconSelected: tintColorDark,

    // New colors
    card: '#3a3b4a',
    border: '#444c56',
    notification: '#ff6a69',
    placeholder: '#636e7b',
    inactive: '#4d5560',
    subtle: '#272934',
    error: '#ff6369',
    success: '#3fb950',
    warning: '#d29922',
  },
};
